nxt.http

## Enum APITag

- java.lang.Object
- - java.lang.Enum<APITag>
  - - nxt.http.APITag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<APITag>

      public enum APITag
      extends java.lang.Enum<APITag>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNT_CONTROL`
    `ACCOUNTS`
    `ADDONS`
    `AE`
    `ALIASES`
    `BLOCKS`
    `CE`
    `CREATE_TRANSACTION`
    `DATA`
    `DEBUG`
    `DGS`
    `FORGING`
    `INFO`
    `MESSAGES`
    `MS`
    `NETWORK`
    `PHASING`
    `SEARCH`
    `SHUFFLING`
    `TOKENS`
    `TRANSACTIONS`
    `UTILS`
    `VS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static APITag` | `fromDisplayName(java.lang.String displayName)`
    `java.lang.String` | `getDisplayName()`
    `java.lang.String` | `toString()`
    `static APITag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static APITag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCOUNTS

          public static final APITag ACCOUNTS

    - #### ACCOUNT_CONTROL

          public static final APITag ACCOUNT_CONTROL

    - #### ALIASES

          public static final APITag ALIASES

    - #### AE

          public static final APITag AE

    - #### BLOCKS

          public static final APITag BLOCKS

    - #### CE

          public static final APITag CE

    - #### CREATE_TRANSACTION

          public static final APITag CREATE_TRANSACTION

    - #### DGS

          public static final APITag DGS

    - #### FORGING

          public static final APITag FORGING

    - #### MESSAGES

          public static final APITag MESSAGES

    - #### MS

          public static final APITag MS

    - #### NETWORK

          public static final APITag NETWORK

    - #### PHASING

          public static final APITag PHASING

    - #### SEARCH

          public static final APITag SEARCH

    - #### INFO

          public static final APITag INFO

    - #### SHUFFLING

          public static final APITag SHUFFLING

    - #### DATA

          public static final APITag DATA

    - #### TOKENS

          public static final APITag TOKENS

    - #### TRANSACTIONS

          public static final APITag TRANSACTIONS

    - #### VS

          public static final APITag VS

    - #### UTILS

          public static final APITag UTILS

    - #### DEBUG

          public static final APITag DEBUG

    - #### ADDONS

          public static final APITag ADDONS

  - ### Method Detail

    - #### values

          public static APITag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (APITag c : APITag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static APITag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromDisplayName

          public static APITag fromDisplayName(java.lang.String displayName)

    - #### getDisplayName

          public java.lang.String getDisplayName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<APITag>`